import {
    request
} from "../http";
// 公共API 
const apiPath = {
    loginUrl: '/api/user/wx/login', //登录
    registerUrl: '/api/user/wx/register', //注册,
    csaNo: '/api/csa/get', //获取客服编号
    createContact: '/api/proj-contact/save', //创建联系人
}
class UserService {
    static doLogin(data) {
        return request(apiPath.loginUrl, "POST", data, null, 'operator', false)
    }
    static doRegister(data) {
        return request(apiPath.registerUrl, "POST", data, null, 'operator', false)
    }
    static doGetCsaNo() {
        return request(apiPath.csaNo, "GET")
    }
    static doCreateContact(data) {
        return request(apiPath.createContact, "POST", data)
    }
}

export default UserService;